DELETE /orders-all
Cancel all orders. Optionally, you can specify an asset and instrument type to cancel only orders for that asset/instrument type.
DELETE https://api.aevo.xyz/orders-all
Authentication required. Include your
AEVO-KEYandAEVO-SECRETheaders. See Authentication.
Body Parameters
asset
string
No
Name of underlying asset. Example: ETH
instrument_type
string
No
Type of instrument.
Example Request
curl --request DELETE \
--url https://api.aevo.xyz/orders-all \
--header 'accept: application/json' \
--header 'AEVO-KEY: <your-api-key>' \
--header 'AEVO-SECRET: <your-api-secret>' \
--header 'content-type: application/json' \
--data '{ ... }'Responses
200 — Order cancellation status. If any orders were successfully cancelled, they will be found in the order_ids field.
success
boolean
Yes
Request successful if true. Example: true Example: True
order_ids
array[string]
No
Order ID is the hash of the order payload Example: ['0x4c43e0ab72a4edb72dfe4b129148899815d816837b9a7e22d964b884834639f8']
401 — Unauthorized.
error
string
Yes
Error message. Example: UNAUTHORIZED
429 — Rate limit exceeded.
error
string
Yes
Error message. Example: RATE_LIMIT_EXCEEDED
500 — Internal server error.
error
string
Yes
Error message. Example: INTERNAL_ERROR
Last updated
Was this helpful?

